import request from '@/utils/request'

// 查询参建单位列表
export function listProProjectInfoDepts(query) {
  return request({
    url: '/manage/proProjectInfoDepts/list',
    method: 'get',
    params: query
  })
}

// 查询参建单位详细
export function getProProjectInfoDepts(id) {
  return request({
    url: '/manage/proProjectInfoDepts/' + id,
    method: 'get'
  })
}

// 新增参建单位
export function addProProjectInfoDepts(data) {
  return request({
    url: '/manage/proProjectInfoDepts',
    method: 'post',
    data: data
  })
}

// 修改参建单位
export function updateProProjectInfoDepts(data) {
  return request({
    url: '/manage/proProjectInfoDepts',
    method: 'put',
    data: data
  })
}

// 删除参建单位
export function delProProjectInfoDepts(id) {
  return request({
    url: '/manage/proProjectInfoDepts/' + id,
    method: 'delete'
  })
}
